Package org.codehaus.groovy.transform.stc

# Class Receiver<T>

java.lang.Object
org.codehaus.groovy.transform.stc.Receiver<T>

public class Receiver<T> extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Receiver(ClassNode type)`
  `Receiver(ClassNode type, boolean object, T data)`
  `Receiver(ClassNode type, T data)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `getData()`
  `ClassNode`
  `getType()`
  `boolean`
  `isObject()`
  Indicates if receiver is an object instance or a class (static) reference.
  `static <T> Receiver<T>`
  `make(ClassNode type)`
  `final String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Receiver

    public Receiver(ClassNode type)

  - ### Receiver

    public Receiver(ClassNode type, T data)

  - ### Receiver

    public Receiver(ClassNode type, boolean object, T data)

- ## Method Details

  - ### make

    public static <T> Receiver<T> make(ClassNode type)

  - ### getData

    public T getData()

  - ### isObject

    public boolean isObject()
    Indicates if receiver is an object instance or a class (static) reference.
    Since:
      5.0.0

  - ### getType

    public ClassNode getType()

  - ### toString

    public final String toString()
    Overrides:
      `toString` in class `Object`